about summary refs log tree commit diff
path: root/mklive.sh.in
diff options
context:
space:
mode:
authorJuan RP <xtraeme@gmail.com>2013-03-12 09:17:27 +0100
committerJuan RP <xtraeme@gmail.com>2013-03-12 09:17:27 +0100
commit0c329614902dff40f3a9878736ec5f7438726645 (patch)
treeb54eee41701aa8bc4feab7083f6f77723e86a3e5 /mklive.sh.in
parentf7b2c933546070101461b2975fdec168b73ddd3e (diff)
downloadhrmpf-0c329614902dff40f3a9878736ec5f7438726645.tar.gz
hrmpf-0c329614902dff40f3a9878736ec5f7438726645.tar.xz
hrmpf-0c329614902dff40f3a9878736ec5f7438726645.zip
Fix umount_kernel_fs().
Diffstat (limited to 'mklive.sh.in')
-rw-r--r--mklive.sh.in4
1 files changed, 3 insertions, 1 deletions
diff --git a/mklive.sh.in b/mklive.sh.in
index e3c78c7..e5d5088 100644
--- a/mklive.sh.in
+++ b/mklive.sh.in
@@ -42,7 +42,9 @@ error_out() {
 
 umount_kernel_fs() {
     for f in sys/fs/cgroup/systemd sys/fs/cgroup dev/shm dev/pts dev proc sys run; do
-        umount -f $ROOTFS/kernel_temp/$f &>/dev/null
+        if [ -d $ROOTFS/kernel_temp/$f ]; then
+            umount $ROOTFS/kernel_temp/$f || true
+        fi
     done
 }